import React from 'react'

import Step0 from './SignUpStep0'
import Step1 from './SignUpStep1'
import { FormItems } from '../UIComponents'

const { RootContainer, Title, Subtitle, Email, Err } = FormItems

const SignUpInvitation = ({
  step,
  email,
  token,
  error,
  journal,
  nextStep,
  initialValues,
  submitConfirmation,
}) => (
  <RootContainer bordered>
    <Title>Add New Account Details</Title>
    <Subtitle>
      Your details have been pre-filled, please review and confirm before set
      your password.
    </Subtitle>
    <Email>{initialValues.email}</Email>
    {error && <Err>Token expired or Something went wrong.</Err>}
    {step === 0 && (
      <Step0
        error={error}
        initialValues={initialValues}
        journal={journal}
        onSubmit={nextStep}
      />
    )}
    {step === 1 && (
      <Step1
        error={error}
        initialValues={initialValues}
        journal={journal}
        onSubmit={submitConfirmation}
      />
    )}
  </RootContainer>
)

export default SignUpInvitation
